export declare class Collection<K extends IDBValidKey, T> {
    readonly db: string;
    readonly collection: string;
    readonly version?: number | undefined;
    private setup?;
    private database;
    constructor(db: string, collection: string, version?: number | undefined, setup?: ((db: IDBDatabase, event: IDBVersionChangeEvent) => void) | undefined);
    tx<T>(collection: string, fn: ((store: IDBObjectStore) => IDBRequest), readonly?: boolean): Promise<T>;
    add(value: T, key?: K): Promise<void>;
    count(): Promise<number>;
    put(key: K, value: T): Promise<void>;
    getAll(): Promise<T[]>;
    getAllKeys(): Promise<K[]>;
    get(key: K): Promise<T>;
    delete(key: K): Promise<void>;
    clear(): Promise<void>;
}
